### Home Classes Methods

### In Files

- lib/json/pure/generator.rb

### Methods

- #json_create

### Files

- README.rdoc

### Class/Module Index

Quicksearch

- JSON
- JSON::Ext
- JSON::GeneratorError
- JSON::GenericObject
- JSON::JSONError
- JSON::MissingUnicodeSupport
- JSON::NestingError
- JSON::ParserError
- JSON::Pure
- JSON::Pure::Generator
- JSON::Pure::Generator::GeneratorMethods
- JSON::Pure::Generator::GeneratorMethods::Array
- JSON::Pure::Generator::GeneratorMethods::FalseClass
- JSON::Pure::Generator::GeneratorMethods::Float
- JSON::Pure::Generator::GeneratorMethods::Hash
- JSON::Pure::Generator::GeneratorMethods::Integer
- JSON::Pure::Generator::GeneratorMethods::NilClass
- JSON::Pure::Generator::GeneratorMethods::Object
- JSON::Pure::Generator::GeneratorMethods::String
- JSON::Pure::Generator::GeneratorMethods::String::Extend
- JSON::Pure::Generator::GeneratorMethods::TrueClass
- JSON::Pure::Generator::State
- JSON::Pure::Parser
- JSON::UnparserError
- BigDecimal
- Class
- Complex
- Date
- DateTime
- Exception
- Kernel
- OpenStruct
- Range
- Rational
- Regexp
- Struct
- Symbol
- Time

No matching classes.

# JSON::Pure::Generator::GeneratorMethods::String::Extend

Module that holds the extinding methods if, the String module is included.

### Public Instance Methods

json_create(o) click to toggle source

Raw Strings are JSON Objects (the raw bytes are stored in an array for the key “raw”). The Ruby String can be created by this module method.

    # File lib/json/pure/generator.rb, line 477
    def json_create(o)
      o['raw'].pack('C*')
    end

[Validate]

Generated with the Darkfish Rdoc Generator 2.